// Table.h: interface for the CTable class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TABLE_H__C9B46A73_BE42_11D7_8999_000629A6E157__INCLUDED_)
#define AFX_TABLE_H__C9B46A73_BE42_11D7_8999_000629A6E157__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifdef  BUILD_GUIDLL
#define     DLLCLASS    __declspec(dllexport)
#else
#define     DLLCLASS    __declspec(dllimport)
#endif

#include "GridCtrl.h"
#include "GridTable.h"
#include "CellRange.h" // Added by ClassView

class DLLCLASS CGridTable : public CGridCtrl
{
public:

    CCellID GetFocusCell();

    void    AutoSize(UINT nAutoSizeStyle = GVS_DEFAULT);
    void    SetFocusCellEx(CCellID cell);
    void    UpdateData(void);
    void    InsertData(int nRow, int nCol, CString szText, UINT nFormat, UINT nMask = (GVIF_TEXT | GVIF_FORMAT));
    CString GetItemTextEx(int nRow, int nCol);
    void    SetColumnTypeEx(int nCol, int nType);
    void    SetTextBkColorEx(COLORREF clr);
    void    SetImageListEx(CImageList *pList);
    void    SetFixedRowCol(int nRow, int nCol);
    void    SetRowCol(int nRow, int nCol);
    CGridTable();
    virtual ~CGridTable();

// private:
// CGridCtrl m_grid;
};

#endif // !defined(AFX_TABLE_H__C9B46A73_BE42_11D7_8999_000629A6E157__INCLUDED_)
